Mail API reference

Mail API · Integrations

get/v1/workspaces/{workspace_id}/integrations/github/repos/{owner}/{repo}/branchesAuth

List branches for the given repo.

Path parameters

workspace_id*string · uuid

Id of the workspace.

owner*string

Owner (user or organisation) of the GitHub repository.

repo*string

Name of the GitHub repository.

Response · 200

Array of object

name*string

The branch name.

Example

Request

GET https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/integrations/github/repos/{owner}/{repo}/branches
Authorization: Bearer YOUR_TOKEN

Response

[
  {
    "name": "string"
  }
]